(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     32365,        788]
NotebookOptionsPosition[     31734,        760]
NotebookOutlinePosition[     32089,        776]
CellTagsIndexPosition[     32046,        773]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.616809848360358*^9, 3.616809864977234*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"2", "\:6b21\:95a2\:6570y"}], "=", 
    SuperscriptBox["x", "2"]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "-2ax (0\[LessEqual]x",
 "\[LessEqual]1) ",
 "\:306e\:6700\:5927\:5024\:ff0c\:6700\:5c0f\:5024\:3092\:6c42\:3081\:3088\
\:3002"
}], "Subtitle",
 CellChangeTimes->{{3.6168097509370995`*^9, 3.616809768677369*^9}, {
  3.6212320781886983`*^9, 3.6212320794990983`*^9}, {3.621232144176698*^9, 
  3.6212322457950983`*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "                  ", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "-", 
          RowBox[{"2", "*", "a", "*", "x"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
         RowBox[{"AxesStyle", "\[Rule]", "Blue"}], ",", "  ", 
         RowBox[{"GridLines", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "10", ",", "1"}], "]"}], ",", 
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", "20"}], ",", "20", ",", "1"}], "]"}]}], "}"}]}], 
         ",", 
         RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "3"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<y=\!\(\*SuperscriptBox[\(x\), \(2\)]\)-2ax\>\"", ",", 
                "Large"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.5", ",", "4.5"}], "}"}]}], "]"}], " ", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Opacity", "[", "d", "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<=(x-a\!\(\*SuperscriptBox[\()\), \
\(2\)]\)-\!\(\*SuperscriptBox[\(a\), \(2\)]\)\>\"", ",", "Large"}], "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"0.8", ",", "3.8"}], "}"}]}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<a\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"a", ",", "0.3"}], "}"}]}], "]"}]}], "}"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"Directive", "[", "Dashed", "]"}]}], ",", 
         RowBox[{"LabelStyle", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{"FontSize", "\[Rule]", "17"}], ")"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3"}], 
            "}"}], "}"}]}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      "    ", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Opacity", "[", "0.7", "]"}], ",", "Pink", ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", "3"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "10"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "10"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "3"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], 
      "      ", ",", "      ", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "-", 
          RowBox[{"2", "*", "a", "*", "x"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"Directive", "[", 
           RowBox[{"Thick", ",", "Black"}], "]"}]}]}], "]"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Opacity", "[", "b", "]"}], ",", 
         RowBox[{"PointSize", "[", "Large", "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"a", ">", 
            RowBox[{"1", "/", "2"}]}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"1", "-", 
               RowBox[{"2", "*", "a"}]}]}], "}"}], "]"}]}], "]"}], " ", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Abs", "[", 
             RowBox[{"a", "-", 
              RowBox[{"1", "/", "2"}]}], "]"}], "<", "0.05"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", "0"}], "}"}], "]"}]}], "]"}]}], "}"}], " ", 
       "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Opacity", "[", "c", "]"}], ",", 
         RowBox[{"PointSize", "[", "Large", "]"}], ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"a", "<", "0"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"a", ">", "1"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"1", "-", 
                 RowBox[{"2", "*", "a"}]}]}], "}"}], "]"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"a", ",", 
                RowBox[{"-", 
                 RowBox[{"a", "^", "2"}]}]}], "}"}], "]"}]}], "]"}]}], 
          "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Opacity", "[", "e", "]"}], ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", 
              RowBox[{"-", "5"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "10"}], "}"}]}], "}"}], "]"}]}], "}"}], 
       "]"}]}], "\[IndentingNewLine]", "]"}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"a", ",", 
      RowBox[{"-", "1.5"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"b", ",", "1", ",", "\"\<\:6700\:5927\:5024\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"c", ",", "1", ",", "\"\<\:6700\:5c0f\:5024\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"d", ",", "0", ",", "\"\<\:5e73\:65b9\:5b8c\:6210\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"e", ",", "1", ",", "\"\<\:8ef8\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
    RowBox[{"FrameMargins", "\[Rule]", "0"}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.6150823582915325`*^9, 3.615082640256756*^9}, {
   3.6150827470677032`*^9, 3.6150827776898265`*^9}, {3.6150828189370737`*^9, 
   3.615082883439972*^9}, {3.6155024576122265`*^9, 3.6155024945842266`*^9}, {
   3.6155025269386263`*^9, 3.6155025655174265`*^9}, {3.6156014906840677`*^9, 
   3.6156015053480673`*^9}, {3.6156015581228676`*^9, 
   3.6156015661724677`*^9}, {3.615601606451668*^9, 3.615601724481268*^9}, {
   3.6156018096884675`*^9, 3.6156019221332674`*^9}, {3.6156019866548676`*^9, 
   3.6156020218640676`*^9}, {3.6156021017496676`*^9, 
   3.6156021258984675`*^9}, {3.6156022794464674`*^9, 
   3.6156022990088673`*^9}, {3.615602342922868*^9, 3.6156023452004676`*^9}, {
   3.6167237111413484`*^9, 3.6167237117965484`*^9}, {3.6167237620441484`*^9, 
   3.616723826409748*^9}, {3.616723932286948*^9, 3.6167239470289483`*^9}, 
   3.6167239828153486`*^9, {3.6167241336973486`*^9, 3.6167241344461484`*^9}, {
   3.6167270426881657`*^9, 3.616727069248166*^9}, {3.616727102156166*^9, 
   3.6167271046601896`*^9}, {3.616727156741397*^9, 3.6167272416648884`*^9}, {
   3.6167273342151427`*^9, 3.6167274018809085`*^9}, {3.6167274330930295`*^9, 
   3.6167274524309635`*^9}, {3.6167274876324825`*^9, 
   3.6167274921869383`*^9}, {3.6167275625049696`*^9, 3.6167275998587046`*^9}, 
   3.616727635330251*^9, {3.6167276730200195`*^9, 3.6167276759143095`*^9}, {
   3.6167277294976673`*^9, 3.6167277416918864`*^9}, {3.616727828694586*^9, 
   3.616727895895305*^9}, {3.616728074972211*^9, 3.616728196293342*^9}, 
   3.61672832450196*^9, 3.6167285923679595`*^9, {3.6167288484579597`*^9, 
   3.61672885509896*^9}, {3.61672890260096*^9, 3.6167289238019595`*^9}, 
   3.6167289670029593`*^9, {3.6167290251309595`*^9, 3.6167290368859596`*^9}, {
   3.6167290880909595`*^9, 3.6167291391939597`*^9}, {3.616729218515568*^9, 
   3.6167292325969763`*^9}, {3.616729286690385*^9, 3.616729302765992*^9}, {
   3.616793162215229*^9, 3.616793184023796*^9}, {3.6167932233166833`*^9, 
   3.6167934183240447`*^9}, {3.6167934785394945`*^9, 3.616793525007909*^9}, {
   3.6167935898265095`*^9, 3.616793630303026*^9}, {3.6167936625211897`*^9, 
   3.6167936653762455`*^9}, {3.61679369885685*^9, 3.6167937117592077`*^9}, {
   3.616793753040512*^9, 3.6167937798593187`*^9}, {3.616805400771708*^9, 
   3.616805490383451*^9}, {3.616805545092465*^9, 3.616805625693297*^9}, {
   3.616805720943844*^9, 3.6168057664007874`*^9}, {3.616805834227413*^9, 
   3.616805851043674*^9}, {3.616805899932507*^9, 3.616805927934865*^9}, {
   3.6168059801819444`*^9, 3.616805988543973*^9}, {3.616806022943737*^9, 
   3.6168060379205055`*^9}, {3.6168061961282177`*^9, 
   3.6168062774260554`*^9}, {3.6168064097046795`*^9, 
   3.6168065311142297`*^9}, {3.6168065909771852`*^9, 
   3.6168066199023657`*^9}, {3.616806862443285*^9, 3.616806867966216*^9}, {
   3.6168088981390224`*^9, 3.616809048039195*^9}, {3.616809792424679*^9, 
   3.616809857472335*^9}, {3.6168098936862016`*^9, 3.6168099318504057`*^9}, {
   3.616810006680955*^9, 3.6168100223304634`*^9}, {3.6168101064102955`*^9, 
   3.616810177228227*^9}, {3.616810215281749*^9, 3.616810221335364*^9}, {
   3.6168104289505167`*^9, 3.616810471605838*^9}, {3.616810531984804*^9, 
   3.616810698846055*^9}, 3.6168107571655836`*^9, {3.616810830447238*^9, 
   3.6168108841174297`*^9}, {3.616810920251199*^9, 3.6168109947493496`*^9}, {
   3.6168110345804896`*^9, 3.6168110470306463`*^9}, {3.616811081151564*^9, 
   3.616811145180941*^9}, {3.61681131954554*^9, 3.616811479026943*^9}, {
   3.616811827643388*^9, 3.6168118935930414`*^9}, {3.6168119822972145`*^9, 
   3.6168119844502907`*^9}, {3.6168120797298217`*^9, 3.616812156397067*^9}, {
   3.6168121913294973`*^9, 3.616812238462535*^9}, {3.616812272490061*^9, 
   3.6168122745650997`*^9}, {3.6212875261117325`*^9, 3.62128752645492*^9}, {
   3.621287992621828*^9, 3.621288028424828*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -1.5, $CellContext`b$$ = 
    1, $CellContext`c$$ = 1, $CellContext`d$$ = 0, $CellContext`e$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{
      Hold[$CellContext`a$$], -1.5, 2}, {{
       Hold[$CellContext`b$$], 1, "\:6700\:5927\:5024"}, {1, 0}}, {{
       Hold[$CellContext`c$$], 1, "\:6700\:5c0f\:5024"}, {1, 0}}, {{
       Hold[$CellContext`d$$], 0, "\:5e73\:65b9\:5b8c\:6210"}, {1, 0}}, {{
       Hold[$CellContext`e$$], 1, "\:8ef8"}, {1, 0}}}, Typeset`size$$ = {
    221., {214., 218.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$6623$$ = 
    0, $CellContext`b$6624$$ = False, $CellContext`c$6625$$ = 
    False, $CellContext`d$6626$$ = False, $CellContext`e$6627$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -1.5, $CellContext`b$$ = 
        1, $CellContext`c$$ = 1, $CellContext`d$$ = 0, $CellContext`e$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$6623$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$6624$$, False], 
        Hold[$CellContext`c$$, $CellContext`c$6625$$, False], 
        Hold[$CellContext`d$$, $CellContext`d$6626$$, False], 
        Hold[$CellContext`e$$, $CellContext`e$6627$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[
         Plot[$CellContext`x^2 - (
           2 $CellContext`a$$) $CellContext`x, {$CellContext`x, -10, 10}, 
          AspectRatio -> Automatic, Axes -> True, AxesStyle -> Blue, 
          GridLines -> {
            Range[-10, 10, 1], 
            Range[-20, 20, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-2, 2}, {-3, 5}}, Epilog -> {
            Text[
             Style["y=\!\(\*SuperscriptBox[\(x\), \(2\)]\)-2ax", Large], {0.5,
              4.5}], {
             Opacity[$CellContext`d$$], 
             Text[
              Style[
              "=(x-a\!\(\*SuperscriptBox[\()\), \
\(2\)]\)-\!\(\*SuperscriptBox[\(a\), \(2\)]\)", Large], {0.8, 3.8}]}, 
            Text[
             Style["a", Large], {$CellContext`a$$, 0.3}]}, PlotStyle -> 
          Directive[Dashed], LabelStyle -> (FontSize -> 17), 
          Ticks -> {{-1, 0, 1, 2, 3}}]], 
        Graphics[{
          Opacity[0.7], Pink, 
          Polygon[{{0, -3}, {0, 10}, {1, 10}, {1, -3}}]}], 
        Graphics[
         Plot[$CellContext`x^2 - (
           2 $CellContext`a$$) $CellContext`x, {$CellContext`x, 0, 1}, 
          PlotStyle -> Directive[Thick, Black]]], 
        Graphics[{
          Opacity[$CellContext`b$$], 
          PointSize[Large], 
          If[$CellContext`a$$ > 1/2, 
           Point[{0, 0}], 
           Point[{1, 1 - 2 $CellContext`a$$}]], 
          If[Abs[$CellContext`a$$ - 1/2] < 0.05, 
           Point[{1, 0}]]}], 
        Graphics[{
          Opacity[$CellContext`c$$], 
          PointSize[Large], 
          RGBColor[1, 0, 0], 
          If[$CellContext`a$$ < 0, 
           Point[{0, 0}], 
           If[$CellContext`a$$ > 1, 
            Point[{1, 1 - 2 $CellContext`a$$}], 
            Point[{$CellContext`a$$, -$CellContext`a$$^2}]]]}], 
        Graphics[{
          Opacity[$CellContext`e$$], 
          RGBColor[1, 0, 0], 
          Line[{{$CellContext`a$$, -5}, {$CellContext`a$$, 10}}]}]], 
      "Specifications" :> {{$CellContext`a$$, -1.5, 
         2}, {{$CellContext`b$$, 1, "\:6700\:5927\:5024"}, {1, 
         0}}, {{$CellContext`c$$, 1, "\:6700\:5c0f\:5024"}, {1, 
         0}}, {{$CellContext`d$$, 0, "\:5e73\:65b9\:5b8c\:6210"}, {1, 
         0}}, {{$CellContext`e$$, 1, "\:8ef8"}, {1, 0}}}, 
      "Options" :> {ControlPlacement -> Left, FrameMargins -> 0}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{518., {234., 241.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6168121950115223`*^9, 3.6168122389305887`*^9, 3.616812275126765*^9, 
   3.621232721759498*^9, 3.621232768762498*^9, 3.6212875755774302`*^9, {
   3.621288019581828*^9, 3.621288029148828*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"2", "\:6b21\:95a2\:6570y"}], "=", 
    SuperscriptBox["x", "2"]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "-2ax (0\[LessEqual]x\[LessEqual]1) \:306e\:6700\:5927\:5024\:ff0c\:6700\
\:5c0f\:5024\:3092\:6c42\:3081\:3088\:3002\:ff08\:7c21\:7565\:30d0\:30fc\:30b8\
\:30e7\:30f3\:ff09"
}], "Subtitle",
 CellChangeTimes->{{3.6168097509370995`*^9, 3.616809768677369*^9}, {
  3.6212320781886983`*^9, 3.6212320794990983`*^9}, {3.621232144176698*^9, 
  3.6212322457950983`*^9}, {3.621232288835498*^9, 3.6212323246062984`*^9}, {
  3.621232370049098*^9, 3.6212323763358984`*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "                  ", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "-", 
          RowBox[{"2", "*", "a", "*", "x"}], "+", 
          RowBox[{"a", "^", "2"}], "+", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
         RowBox[{"AxesStyle", "\[Rule]", "Blue"}], ",", "  ", 
         RowBox[{"GridLines", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "10", ",", "1"}], "]"}], ",", 
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", "20"}], ",", "20", ",", "1"}], "]"}]}], "}"}]}], 
         ",", 
         RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "3"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<y=\!\(\*SuperscriptBox[\(x\), \(2\)]\)-2ax\>\"", ",", 
                "Large"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.5", ",", "4.5"}], "}"}]}], "]"}], " ", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Opacity", "[", "d", "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<=(x-a\!\(\*SuperscriptBox[\()\), \
\(2\)]\)-\!\(\*SuperscriptBox[\(a\), \(2\)]\)\>\"", ",", "Large"}], "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"0.8", ",", "3.8"}], "}"}]}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<a\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"a", ",", "0.3"}], "}"}]}], "]"}]}], "}"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"Directive", "[", "Dashed", "]"}]}], ",", 
         RowBox[{"LabelStyle", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{"FontSize", "\[Rule]", "17"}], ")"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3"}], 
            "}"}], "}"}]}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      "    ", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Opacity", "[", "0.7", "]"}], ",", "Pink", ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", "3"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "10"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "10"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "3"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], 
      "      ", ",", "      ", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "-", 
          RowBox[{"2", "*", "a", "*", "x"}], "+", 
          RowBox[{"a", "^", "2"}], "+", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"Directive", "[", 
           RowBox[{"Thick", ",", "Black"}], "]"}]}]}], "]"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Opacity", "[", "b", "]"}], ",", 
         RowBox[{"PointSize", "[", "Large", "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"a", ">", 
            RowBox[{"1", "/", "2"}]}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{
               RowBox[{"a", "^", "2"}], "+", "1"}]}], "}"}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"1", "-", 
               RowBox[{"2", "*", "a"}], "+", 
               RowBox[{"a", "^", "2"}], "+", "1"}]}], "}"}], "]"}]}], "]"}], 
         " ", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Abs", "[", 
             RowBox[{"a", "-", 
              RowBox[{"1", "/", "2"}]}], "]"}], "<", "0.05"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"1", "+", 
               RowBox[{"1", "/", "4"}]}]}], "}"}], "]"}]}], "]"}]}], "}"}], 
       " ", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Opacity", "[", "c", "]"}], ",", 
         RowBox[{"PointSize", "[", "Large", "]"}], ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"a", "<", "0"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{
               RowBox[{"a", "^", "2"}], "+", "1"}]}], "}"}], "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"a", ">", "1"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"1", "-", 
                 RowBox[{"2", "*", "a"}], "+", 
                 RowBox[{"a", "^", "2"}], "+", "1"}]}], "}"}], "]"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"a", ",", "1"}], "}"}], "]"}]}], "]"}]}], "]"}]}], 
        "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Opacity", "[", "e", "]"}], ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", 
              RowBox[{"-", "5"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "10"}], "}"}]}], "}"}], "]"}]}], "}"}], 
       "]"}]}], "\[IndentingNewLine]", "]"}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"a", ",", 
      RowBox[{"-", "1.5"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"b", ",", "1", ",", "\"\<\:6700\:5927\:5024\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"c", ",", "1", ",", "\"\<\:6700\:5c0f\:5024\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"d", ",", "0", ",", "\"\<\:5e73\:65b9\:5b8c\:6210\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"e", ",", "1", ",", "\"\<\:8ef8\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
    RowBox[{"FrameMargins", "\[Rule]", "0"}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.616812480430064*^9, 3.6168126462917376`*^9}, {
  3.6168126850151567`*^9, 3.6168127099622746`*^9}, {3.621287537343301*^9, 
  3.6212875375148945`*^9}, {3.621288007077828*^9, 3.621288036229828*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 
    1.3399999999999999`, $CellContext`b$$ = 1, $CellContext`c$$ = 
    1, $CellContext`d$$ = 0, $CellContext`e$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], -1.5, 2}, {{
       Hold[$CellContext`b$$], 1, "\:6700\:5927\:5024"}, {1, 0}}, {{
       Hold[$CellContext`c$$], 1, "\:6700\:5c0f\:5024"}, {1, 0}}, {{
       Hold[$CellContext`d$$], 0, "\:5e73\:65b9\:5b8c\:6210"}, {1, 0}}, {{
       Hold[$CellContext`e$$], 1, "\:8ef8"}, {1, 0}}}, Typeset`size$$ = {
    221., {214., 218.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$6923$$ = 
    0, $CellContext`b$6924$$ = False, $CellContext`c$6925$$ = 
    False, $CellContext`d$6926$$ = False, $CellContext`e$6927$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -1.5, $CellContext`b$$ = 
        1, $CellContext`c$$ = 1, $CellContext`d$$ = 0, $CellContext`e$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$6923$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$6924$$, False], 
        Hold[$CellContext`c$$, $CellContext`c$6925$$, False], 
        Hold[$CellContext`d$$, $CellContext`d$6926$$, False], 
        Hold[$CellContext`e$$, $CellContext`e$6927$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[
         Plot[$CellContext`x^2 - (
           2 $CellContext`a$$) $CellContext`x + $CellContext`a$$^2 + 
          1, {$CellContext`x, -10, 10}, AspectRatio -> Automatic, Axes -> 
          True, AxesStyle -> Blue, GridLines -> {
            Range[-10, 10, 1], 
            Range[-20, 20, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-2, 2}, {-3, 5}}, Epilog -> {
            Text[
             Style["y=\!\(\*SuperscriptBox[\(x\), \(2\)]\)-2ax", Large], {0.5,
              4.5}], {
             Opacity[$CellContext`d$$], 
             Text[
              Style[
              "=(x-a\!\(\*SuperscriptBox[\()\), \
\(2\)]\)-\!\(\*SuperscriptBox[\(a\), \(2\)]\)", Large], {0.8, 3.8}]}, 
            Text[
             Style["a", Large], {$CellContext`a$$, 0.3}]}, PlotStyle -> 
          Directive[Dashed], LabelStyle -> (FontSize -> 17), 
          Ticks -> {{-1, 0, 1, 2, 3}}]], 
        Graphics[{
          Opacity[0.7], Pink, 
          Polygon[{{0, -3}, {0, 10}, {1, 10}, {1, -3}}]}], 
        Graphics[
         Plot[$CellContext`x^2 - (
           2 $CellContext`a$$) $CellContext`x + $CellContext`a$$^2 + 
          1, {$CellContext`x, 0, 1}, PlotStyle -> Directive[Thick, Black]]], 
        Graphics[{
          Opacity[$CellContext`b$$], 
          PointSize[Large], 
          If[$CellContext`a$$ > 1/2, 
           Point[{0, $CellContext`a$$^2 + 1}], 
           Point[{1, 1 - 2 $CellContext`a$$ + $CellContext`a$$^2 + 1}]], 
          If[Abs[$CellContext`a$$ - 1/2] < 0.05, 
           Point[{1, 1 + 1/4}]]}], 
        Graphics[{
          Opacity[$CellContext`c$$], 
          PointSize[Large], 
          RGBColor[1, 0, 0], 
          If[$CellContext`a$$ < 0, 
           Point[{0, $CellContext`a$$^2 + 1}], 
           If[$CellContext`a$$ > 1, 
            Point[{1, 1 - 2 $CellContext`a$$ + $CellContext`a$$^2 + 1}], 
            Point[{$CellContext`a$$, 1}]]]}], 
        Graphics[{
          Opacity[$CellContext`e$$], 
          RGBColor[1, 0, 0], 
          Line[{{$CellContext`a$$, -5}, {$CellContext`a$$, 10}}]}]], 
      "Specifications" :> {{$CellContext`a$$, -1.5, 
         2}, {{$CellContext`b$$, 1, "\:6700\:5927\:5024"}, {1, 
         0}}, {{$CellContext`c$$, 1, "\:6700\:5c0f\:5024"}, {1, 
         0}}, {{$CellContext`d$$, 0, "\:5e73\:65b9\:5b8c\:6210"}, {1, 
         0}}, {{$CellContext`e$$, 1, "\:8ef8"}, {1, 0}}}, 
      "Options" :> {ControlPlacement -> Left, FrameMargins -> 0}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{518., {234., 241.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.621232758140498*^9, 3.621287566904164*^9, 
  3.621288036617828*^9}]
}, {2}]]
}, Open  ]]
},
WindowSize->{1344, 685},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 92, 1, 31, "Input"],
Cell[CellGroupData[{
Cell[674, 25, 539, 15, 72, "Subtitle"],
Cell[CellGroupData[{
Cell[1238, 44, 11705, 262, 328, "Input"],
Cell[12946, 308, 4768, 101, 492, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[17760, 415, 684, 15, 72, "Subtitle"],
Cell[CellGroupData[{
Cell[18469, 434, 8450, 221, 328, "Input"],
Cell[26922, 657, 4787, 99, 492, "Output"]
}, {2}]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
